
Installer - Refactor #32511

Tracker # 32506 (Closed): Add puppet provider and types in puppet-certs

Add puppet type to manage an nssdb

05/04/2021 11:41 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-ce

rts/pull/344,

https://github.com/theforeman/puppet-kat

ello/pull/419

  

Description

Associated revisions

Revision 919eaa47 - 07/15/2021 04:32 PM - William Clark

Fixes #32511 - Add a puppet type and provider to manage an NSS database.

This commit adds and uses the new provider to manage the NSS db for the

installation. The password file location is changed from within the NSS

db directory to its parent, and the old password file will be cleaned up

when it first runs. The password itself is now generated and cached

using extlib.

History

#1 - 05/27/2021 03:43 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-certs/pull/344 added

#2 - 06/21/2021 04:21 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/419 added

#3 - 07/15/2021 04:32 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 07/15/2021 04:33 PM - Eric Helms

- Status changed from Assigned to Closed

#5 - 08/24/2021 10:07 AM - Amit Upadhye

- Category set to Foreman modules
